CVE-2016-2110: auth/ntlmssp: maintain conf_flags and required_flags variables
authorStefan Metzmacher <metze@samba.org>
Tue, 1 Dec 2015 10:01:24 +0000 (11:01 +0100)
committerStefan Metzmacher <metze@samba.org>
Tue, 12 Apr 2016 17:25:22 +0000 (19:25 +0200)
commit2843f012b6bfb6d56e11b1723c0b35531ebf669f
tree68bbcbb1381d2e237f973f85d3c9213e3cb2a89d
parent61ec7f069d777e2688657b490c07ce7499bd7221
CVE-2016-2110: auth/ntlmssp: maintain conf_flags and required_flags variables

We now give an error when required flags are missing.

BUG: https://bugzilla.samba.org/show_bug.cgi?id=11644

Signed-off-by: Stefan Metzmacher <metze@samba.org>
Reviewed-by: G√ľnther Deschner <gd@samba.org>
auth/ntlmssp/gensec_ntlmssp_server.c
auth/ntlmssp/ntlmssp.h
auth/ntlmssp/ntlmssp_client.c
auth/ntlmssp/ntlmssp_util.c